org.apache.sling.commons.osgi

## Interface ManifestHeader.Entry

All Known Implementing Classes:
  ManifestHeader.PathImpl

Enclosing class:
  ManifestHeader

    public static interface ManifestHeader.Entry

A header can have several entries separated by comma.

### Method Summary

All Methods Instance Methods Abstract Methods
`ManifestHeader.NameValuePair[]` `getAttributes()`
`String` `getAttributeValue(String name)`
`ManifestHeader.NameValuePair[]` `getDirectives()`
`String` `getDirectiveValue(String name)`
`String` `getValue()`

### Method Detail

#### getValue

    String getValue()

Returns:
  The value of the entry.

#### getAttributes

    ManifestHeader.NameValuePair[] getAttributes()

Returns:
  The attributes specified for this entry.

#### getDirectives

    ManifestHeader.NameValuePair[] getDirectives()

Returns:
  The directives for this entry.

#### getAttributeValue

    String getAttributeValue(String name)

#### getDirectiveValue

    String getDirectiveValue(String name)